aboutsummaryrefslogtreecommitdiff
path: root/tests/test_split.sh
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@users.noreply.github.com>2020-07-13 23:08:49 -0400
committerGitHub <noreply@github.com>2020-07-13 23:08:49 -0400
commit3894b47d3caffb8524e423419f5e06e0a24cc4ce (patch)
tree5199b35d4e805c758802e61faadd1cc4cd3dc310 /tests/test_split.sh
parent4a150af347b21e2269331a68f44f2a5ae7062b45 (diff)
parent67b69cd38f0f15078bf832e91f7e4196649ffcfe (diff)
downloadsplitfits-3894b47d3caffb8524e423419f5e06e0a24cc4ce.tar.gz
Merge pull request #6 from jhunkeler/decouple-nexusHEADmaster
Decouple nexus
Diffstat (limited to 'tests/test_split.sh')
-rw-r--r--tests/test_split.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/tests/test_split.sh b/tests/test_split.sh
index 13ec5a9..c049d18 100644
--- a/tests/test_split.sh
+++ b/tests/test_split.sh
@@ -1,20 +1,27 @@
test_splitfits_data1() {
local datafile
- datafile=$(get_data generic/fits/sample.fits)
+ datafile=$(nexus_raw_download repository/generic/fits/sample.fits)
[[ ! -f ${datafile} ]] && return 1
if ! ${test_program} -o ${test_case} ${datafile}; then
return 1
fi
+ files=$(find . -regex '.*\.part_[0-9]+' | sort -V)
+ cat $files > streamed.fits
+
+ if ! diff -q ${datafile} streamed.fits; then
+ return 1
+ fi
+
return 0
}
test_splitfits_combine_data1() {
local datafile
- datafile=$(get_data generic/fits/sample.fits)
+ datafile=$(nexus_raw_download repository/generic/fits/sample.fits)
[[ ! -f ${datafile} ]] && return 1
if ! ${test_program} -o ${test_case} ${datafile}; then